
Figure - 开发 Dev #110707
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110126 (New): 【MK】【AF】管理总票

【MK】【FW】【LightBrightness】【TC-RID: 1201-0204901】
2022-07-25 17:06 - CD FW-王伟

Status: 完成 Closed Start date: 2022-07-25

Priority: Normal Due date:

Assignee: CD FW王武军 % Done: 100%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

背光调节开关

启动/关闭背光自动调节的功能

亮度调整:

与color sensor联动，可以根据环境进行背光自动调节

后排屏有l-sensor，VC1-FSE根据车的L-sensor判断，MCE根据车的RLS传感器判断

Related issues:

Related to Figure - 开发 Dev # 111755: 【uart】light数据传输到App 完成 Closed 2022-09-06 2022-09-09

Related to Figure - 开发 Dev # 111998: 【uart】light数据传输到App New 2022-09-06 2022-09-09

History

#1 - 2022-07-25 19:48 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- AF-刘景和

#2 - 2022-08-04 19:43 - CD FW-王伟

- Subject changed from 【MK】【049】【LightBrightness】【TC-RID: 0301-0204901】 to 【MK】【049】【LightBrightness】【TC-RID: 1201-0204901】

#3 - 2022-09-08 08:28 - CD FW-王伟

- Subject changed from 【MK】【049】【LightBrightness】【TC-RID: 1201-0204901】 to 【MK】【FW】【LightBrightness】【TC-RID: 1201-0204901】

#4 - 2022-09-08 10:45 - CD FW-王伟

- Assignee changed from CD- AF-刘景和 to CD- FW-石豪

#5 - 2022-09-15 22:18 - CD- FW-石豪

- Status changed from New to 保留中 Pending

- % Done changed from 0 to 30

【进度】30%，目前把Settings，SystemUI中关于亮度界面已修改，亮度进度条改为100等份，对应亮度百分比。安装百分百等分亮度值。SettingProvider

中system表screen_brightness值对应亮度值

【提交代码】

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147274

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/147275

【入库时间】0906 需要在0907之后版本验证

【验证方法】

 1、命令端口输入：adb shell settings put system screen_brightness 40

 2、进入设置-->显示，查看亮度是否是40%，或者顶部下拉查看亮度进度条是否是40%左右

【遗留问题】

 1、自动背光，功能还需调试，需要主屏发送数据过来
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/147274
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/147275


【依赖】

 1、主屏与副屏底层通信，主屏发过来的值替换sensor光感值（自动背光功能）

【下一步计划】

 等底层逻辑调通之后，再完善自动背光功能

#6 - 2022-09-26 13:51 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_20221030

#7 - 2022-11-10 15:50 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CD FW王武军

#8 - 2022-11-15 10:40 - CD FW王武军

该功能的新方案是通过以太网的方式来更新亮度，目前不太清楚知否需要应对，

故票暂时Penging。

#9 - 2022-12-22 20:23 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

142166 general/platform/vendor/thundercom

m/overlay

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wangwei0629@thundersoft.com

FW:LightBrightness: Set Auto BrightnessSet Auto BrightnessTC-RID: 1201-0204901IssueID: TS-R-DF-110707Change-Id:

Ic4e1803c12e00a498137dc194711f62c61b894c3

#10 - 2022-12-22 20:29 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147274 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF: LightBrightness: change brightness max to 1001、Modify the progress of the brightness bar2、Algorithm to remove gamma curveTC-RID:

1201-0204901IssueID: TS-R-DF-110707Change-Id: I2bf5f16c5118925000c78123bf36a9b047fa62c4

#11 - 2022-12-22 20:29 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

147275 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com
AF: LightBrightness: Calibrated Brightness PercentageChange-Id: Iba512d7487cd5419ba14d601deb1c778a0ff79e2TC-RID: 1201-0204901IssueID:

TS-R-DF-110707

#12 - 2022-12-22 20:33 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

149272 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

shihao0506@thundersoft.com

AF: LightBrightness: Calibrated Brightness Percentage by brightness synchronizerIn order to ensure that there is a precision error in the conversion offloating point

numbers to percentages, the algorithm of the brightnesssynchronizer is uniformly used.TC-RID: 1201-0204901IssueID: TS-R-DF-110707Change-Id:

I7bc462c37d2f48409cee5894b8fec551f67d7a9c

#13 - 2023-02-02 09:52 - CD FW王武军

- Status changed from 保留中 Pending to 完成 Closed

- % Done changed from 30 to 100

该功能已有代码投入，该票关闭，用bug来追踪问题。
